package cn.com.poc.meeting.analysis;


import cn.com.poc.agent_application.service.BizAgentApplicationGcConfigService;
import cn.com.poc.common.utils.SpringUtils;
import cn.com.poc.thirdparty.service.LLMService;

/**
 * 会议内容分析处理器抽象类
 */
public abstract class MeetingContentAnalysisAbstract<T> {

    protected LLMService llmService;

    protected BizAgentApplicationGcConfigService bizAgentApplicationGcConfigService;

    public MeetingContentAnalysisAbstract() {
        llmService = SpringUtils.getBean(LLMService.class);
        bizAgentApplicationGcConfigService = SpringUtils.getBean(BizAgentApplicationGcConfigService.class);
    }

    public abstract T run(String content);

}
